Bug 1002756 - [abrt] youtube-dl-2013.08.27-1.fc19: urllib2.py:224:__getattr__:RuntimeError: maximum recursion depth exceeded in cmp
[abrt] youtube-dl-2013.08.27-1.fc19: urllib2.py:224:__getattr__:RuntimeError:...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:667e41d7dd2f466b48c777446d7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 18:40 EDT by Nivag
Modified: 2013-09-10 21:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 21:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.05 KB, text/plain)
2013-08-29 18:40 EDT, Nivag
no flags Details
File: environ (3.97 KB, text/plain)
2013-08-29 18:40 EDT, Nivag
no flags Details

  None (edit)
Description Nivag 2013-08-29 18:40:25 EDT
Description of problem:
tried to run:
youtube-dl http://www.youtube.com/v/qzA60hHca9s?version=3

Version-Release number of selected component:
youtube-dl-2013.08.27-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        python /usr/bin/youtube-dl http://www.youtube.com/v/qzA60hHca9s?version=3
dso_list:       python-libs-2.7.5-4.fc19.x86_64
executable:     /usr/bin/youtube-dl
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 __getattr__ in /usr/lib64/python2.7/urllib2.py:224
#2 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
#3 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
#4 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
#5 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
#6 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
#7 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
#8 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
#9 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
#10 __getattr__ in /usr/lib64/python2.7/urllib2.py:228
Comment 1 Nivag 2013-08-29 18:40:30 EDT
Created attachment 791974 [details]
File: backtrace
Comment 2 Nivag 2013-08-29 18:40:33 EDT
Created attachment 791975 [details]
File: environ
Comment 3 Christopher Meng 2013-08-30 01:00:05 EDT
I've pushed 08.29 to the testing repo.

Please test.
Comment 4 Nivag 2013-08-31 03:01:51 EDT
Problem resolved for me, thanks!

I reran the URL that triggered thye problem.

Note You need to log in before you can comment on or make changes to this bug.